# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-datetime.git
# git archive --format=tar --prefix=meego-panel-datetime-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile moblin-panel-datetime-%{version}.tar.gz

Name:          meego-panel-datetime
Version:       0.2.7
Release:       2%{?dist}
Summary:       MeeGo date and time panel

Group:         User Interface/Desktops 
License:       LGPLv2
URL:           http://www.meego.com/
Source0:       %{tarfile}

BuildRequires: GConf2-devel
BuildRequires: clutter-gtk-devel
BuildRequires: evolution-data-server-devel
BuildRequires: jana-devel
BuildRequires: libcanberra-devel
BuildRequires: libgweather-devel
BuildRequires: libnotify-devel
BuildRequires: libmx-devel
BuildRequires: libxml2-devel
BuildRequires: mutter-moblin-devel
BuildRequires: moblin-panel-myzone-devel
BuildRequires: pkgconfig
BuildRequires: intltool
BuildRequires: gettext

# Require until stable tar ball release
BuildRequires: libtool
BuildRequires: gnome-common

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Date and Time panel which features world clock and alarm support.

%prep
%setup -q -n moblin-panel-datetime-%{version}

%build
%configure --disable-static --disable-schemas
make %{?_smp_mflags} V=1

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot} INSTALL='install -p'

%find_lang moblin-panel-datetime

%pre
%gconf_schema_prepare date-time

%post
%gconf_schema_upgrade date-time

%preun
%gconf_schema_remove date-time

%files -f moblin-panel-datetime.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/date-time.schemas
%{_libexecdir}/moblin-panel-datetime
%{_datadir}/dbus-1/services/org.moblin.UX.Shell.Panels.datetime.service
%{_datadir}/mutter-moblin/panels/moblin-panel-datetime.desktop
%{_datadir}/moblin-panel-datetime/

%changelog
* Thu Nov 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.7-2
- fix gconf scriptlet paths - fixes 650263

* Tue Oct 05 2010 jkeating - 0.2.7-1.1
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.7-1
- upstream 0.2.7 release
